function ImaginaryPartIgnored

t=1:5;
% for i=1:10 % Commented out for debugging purposes
x=1+t*i;
y=t+i;
% end

plot(x,y)


% Possible correction:
%
% Uncomment lines 4 and 7, thereby computing the vectors x and y 10 times
% This will allow I to be defined as a real number, and so MATLAB will not
% use I as the imaginary unit.  Alternately, call ABS, REAL, or IMAG on
% X and Y in line 9 depending on what you want to plot.
%   plot(abs(x),abs(y))
%   plot(real(x),real(y)) % This is what MATLAB will do by default
%   plot(imag(x),image(y))