function InvalidIndices

A = [1 2 3;4 5 6;7 8 9];
B = [1 0 0;0 0 1;0 1 0];
C = A(B) % Comment out this line to see the error on line 7
i = 0.1:0.1:0.9;
D = A(10*i)

% Possible correction:
%
% Change line 4 to define B to be a logical array, either by using:
%   B = logical([1 0 0;0 0 1;0 1 0]);
% or by comparing the elements of B to 1:
%   B = [1 0 0;0 0 1;0 1 0]==1;
% To avoid the error on line 7, use the ROUND function to ensure that
% the index values are integers before performing the indexing.
%   D = A(round(10*i));